/*
 * JStandardConstants.java - All the Constants used by the system.
 * Copyright (C) 2000, Vinod Kiran
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jstandard;

public interface JStandardConstants
{
	public final short NAMING_CLASS = 0;
	public final short NAMING_INTERFACE = 1;
	public final short NAMING_METHOD = 2;
	public final short NAMING_ATTRIBUTE = 3;
	public final short NAMING_LOCALVAR = 4;
	public final short NAMING_FINAL_VAR = 5;
	public final short NAMING_FINAL_ATTR = 6;
	public final short NAMING_PARAMETER = 7;
	public final short NAMING_LABEL = 8;
	
	public final short FLOW_NO_DEFAULT = 20;
	public final short FLOW_EMPTY_CATCH = 21;
	public final short FLOW_EMPTY_FINALLY = 22;
	public final short FLOW_IF_NOBLOCK = 23;
	public final short FLOW_FOR_NOBLOCK = 24;
	public final short FLOW_WHILE_NOBLOCK = 25;
	public final short FLOW_NOBODY = 26;
	
	public final short CODING_NO_PACKAGE = 40;
	public final short CODING_DUPLICATE_IMPORT = 41;
	public final short CODING_IMPORT_JAVALANG = 42;
	public final short CODING_IMPORT_CURPACKAGE = 43;
	public final short CODING_ABSTRACT_INTERFACE = 44;
	public final short CODING_ABSTRACT_INTERFACEMETHOD = 45;
	public final short CODING_CONSTRUCTOR_VISIBILITY = 46;
	
	public final short CLARITY_MULTIPLE_VAR_DECLARATIONS = 60;
	public final short CLARITY_MULTIPLE_ATTR_DECLARATIONS = 61;
	public final short CLARITY_USAGE_TERENRY_OPERATOR = 62;
	public final short CLARITY_DOTSTAR_IMPORT = 63;
	public final short CLARITY_MULTIPLE_CLASS = 64;
}
